Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.extend
Class Call

    java.lang.Object
      org.directwebremoting.extend.Call

    public class Call

extends java.lang.Object

Call is a POJO to encapsulate the information required to make a single java call, including the result of the call (either returned data or exception). Either the Method and Parameters should be filled in to allow a call to be made or, the exception should be filled in indicating that things have gone wrong already.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`Call()`

Method Summary
`java.lang.String` | `getCallId()`
`java.lang.Throwable` | `getException()`
`java.lang.reflect.Method` | `getMethod()`
`java.lang.String` | `getMethodName()`
`java.lang.Object[]` | `getParameters()`
`java.lang.String` | `getScriptName()`
`void` | `setCallId(java.lang.String callId)`
`void` | `setException(java.lang.Throwable exception)`
`void` | `setMethod(java.lang.reflect.Method method)`
`void` | `setMethodName(java.lang.String methodName)`
`void` | `setParameters(java.lang.Object[] parameters)`
`void` | `setScriptName(java.lang.String scriptName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Call

    public Call()

Method Detail

### getException

    public java.lang.Throwable getException()

  Returns:
    the exception

### setException

    public void setException(java.lang.Throwable exception)

  Parameters:
    `exception` - the exception to set

### getMethod

    public java.lang.reflect.Method getMethod()

  Returns:
    the method

### setMethod

    public void setMethod(java.lang.reflect.Method method)

  Parameters:
    `method` - the method to set

### getParameters

    public java.lang.Object[] getParameters()

  Returns:
    the parameters

### setParameters

    public void setParameters(java.lang.Object[] parameters)

  Parameters:
    `parameters` - the parameters to set

### setCallId

    public void setCallId(java.lang.String callId)

  Parameters:
    `callId` - The callId to set.

### getCallId

    public java.lang.String getCallId()

  Returns:
    Returns the callId.

### setScriptName

    public void setScriptName(java.lang.String scriptName)

  Parameters:
    `scriptName` - The scriptName to set.

### getScriptName

    public java.lang.String getScriptName()

  Returns:
    Returns the scriptName.

### setMethodName

    public void setMethodName(java.lang.String methodName)

  Parameters:
    `methodName` - The methodName to set.

### getMethodName

    public java.lang.String getMethodName()

  Returns:
    Returns the methodName.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD